package com.ruoyi.shipping.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.shipping.domain.TCtnprice;

/**
 * 海运运价Service接口
 * 
 * @author ruoyi
 * @date 2021-04-06
 */
public interface ITCtnpriceService 
{
    /**
     * 查询海运运价
     * 
     * @param fId 海运运价ID
     * @return 海运运价
     */
    public TCtnprice selectTCtnpriceById(Long fId);
    /**
     * 查询海运运价
     *
     * @param fId 海运运价ID
     * @return 海运运价
     */
    public AjaxResult selectTCtnprice(Long fId);

    /**
     * 查询海运运价列表
     * 
     * @param tCtnprice 海运运价
     * @return 海运运价集合
     */
    public List<TCtnprice> selectTCtnpriceList(TCtnprice tCtnprice);

    /**
     * 新增海运运价
     * 
     * @param tCtnprice 海运运价
     * @return 结果
     */
    public int insertTCtnprice(TCtnprice tCtnprice);

    /**
     * 新增海运运价
     *
     * @param tCtnprice 海运运价
     * @return 结果
     */
    public AjaxResult insertTCtnpriceNew(String tCtnprice,String tCtnpriceItems);

    /**
     * 修改海运运价
     * 
     * @param tCtnprice 海运运价
     * @return 结果
     */
    public int updateTCtnprice(TCtnprice tCtnprice);

    /**
     * 批量删除海运运价
     * 
     * @param fIds 需要删除的海运运价ID
     * @return 结果
     */
    public int deleteTCtnpriceByIds(Long[] fIds);

    /**
     * 删除海运运价信息
     * 
     * @param fId 海运运价ID
     * @return 结果
     */
    public int deleteTCtnpriceById(Long fId);
    /**
     * 查询海运运价列表
     *
     * @param tCtnprice 海运运价
     * @return 海运运价集合
     */
    public List<TCtnprice> freightSelect(TCtnprice tCtnprice);
}
